RemoveCampaignEntitlements
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReviewSetupEntitlement.RemoveCampaignEntitlements(ctx, operations.C1APIAccessreviewV1AccessReviewSetupEntitlementServiceRemoveCampaignEntitlementsRequest{
AccessReviewID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewRemoveCampaignEntitlementsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.accessReviewSetupEntitlement.removeCampaignEntitlements({
accessReviewId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/entitlements/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entitlements": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/entitlements/remove"
payload = { "entitlements": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entitlements: [{appEntitlementId: '<string>', appId: '<string>'}]})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/entitlements/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/entitlements/remove",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entitlements' => [
[
'appEntitlementId' => '<string>',
'appId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/entitlements/remove")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entitlements\": [\n {\n \"appEntitlementId\": \"<string>\",\n \"appId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/entitlements/remove")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entitlements\": [\n {\n \"appEntitlementId\": \"<string>\",\n \"appId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"entitlementCount": 123,
"removedCount": 123
}Access Review
Remove Campaign Entitlements
RemoveCampaignEntitlements removes entitlements from an access review campaign’s selection without changing other selections or their policies. Entitlements that are not selected are ignored, so retrying a chunk is safe. Send at most 200 entitlements per call.
POST
/
api
/
v1
/
access_review
/
{access_review_id}
/
entitlements
/
remove
RemoveCampaignEntitlements
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AccessReviewSetupEntitlement.RemoveCampaignEntitlements(ctx, operations.C1APIAccessreviewV1AccessReviewSetupEntitlementServiceRemoveCampaignEntitlementsRequest{
AccessReviewID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.AccessReviewRemoveCampaignEntitlementsResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.accessReviewSetupEntitlement.removeCampaignEntitlements({
accessReviewId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/entitlements/remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entitlements": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
]
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/entitlements/remove"
payload = { "entitlements": [
{
"appEntitlementId": "<string>",
"appId": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({entitlements: [{appEntitlementId: '<string>', appId: '<string>'}]})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/entitlements/remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/entitlements/remove",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entitlements' => [
[
'appEntitlementId' => '<string>',
'appId' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.post("https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/entitlements/remove")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"entitlements\": [\n {\n \"appEntitlementId\": \"<string>\",\n \"appId\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{tenantDomain}.conductor.one/api/v1/access_review/{access_review_id}/entitlements/remove")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entitlements\": [\n {\n \"appEntitlementId\": \"<string>\",\n \"appId\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"entitlementCount": 123,
"removedCount": 123
}Authorizations
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
Body
application/json
Response
200 - application/json
Successful response
Was this page helpful?